Skip to main content
GET
Get one specific order
Learn more:
  • What is an order? ↗
  • How are amounts and taxes rounded? ↗

Path Parameters

consumer_id
string<uuid>
required
order_id
string
required

Query Parameters

include_product_categories
enum<string> | null
default:false

Include detailed information about categories

Available options:
true,
false

Response

Successful Response

id
string
required

Technical id in Chift

Example:

"<this-id>"

source_ref
Ref · object
required

Technical id in the target software

status
enum<string>
required
Available options:
cancelled_unpaid,
cancelled,
draft,
confirmed,
shipped,
refunded
discount_amount
number
required
Example:

0

untaxed_amount_without_fees
number
required

Untaxed amount without fees (e.g. shipping) but with discout. Refunds and returns are not included.

Example:

200

tax_amount_without_fees
number
required

Total taxes applied to the order without taxes linked to fees (e.g. shipping).

Example:

42

total_without_fees
number
required

Total of the order without fees (e.g. shipping) but with discount. Refunds and returns are not included.

Example:

242

current_untaxed_amount
number
required

Untaxed amount with discout and any kind of fee (e.g. shipping). After returns, removes and returns.

Example:

200

current_tax_amount
number
required

Total taxes applied to the order. After returns, removes and returns.

Example:

42

current_total
number
required

Current total of the order with discount. After returns, removes and returns.

Example:

242

untaxed_amount
number
required

Untaxed amount with discout and any kind of fee (e.g. shipping). Refunds and returns are not included.

Example:

200

tax_amount
number
required

Total taxes applied to the order. Refunds and returns are not included.

Example:

42

total
number
required

Total of the order with discount. Refunds and returns are not included.

Example:

242

currency
string
required

Indicates the currency of the order (e.g. EUR).

Example:

"EUR"

lines
OrderLineItemOut · object[]
required
order_number
string | null
Example:

"1001"

channel
string | null
Example:

"Online store"

customer
OrderCustomerItemOut · object | null
billing_address
CommerceAddressItemOut · object | null
shipping_address
CommerceAddressItemOut · object | null
created_on
string<date-time> | null
Example:

"2026-01-15T10:30:00Z"

last_updated_on
string<date-time> | null
Example:

"2026-01-15T10:30:00Z"

confirmed_on
string<date-time> | null
Example:

"2026-01-15T10:30:00Z"

delivery_date
string<date-time> | null
Example:

"2026-02-14T10:30:00Z"

cancelled_on
string<date-time> | null
Example:

"2026-01-20T10:30:00Z"

fulfillment
EcommerceFulfillmentObject · object | null
refunded_amount
number | null
default:0
Example:

0

note
string | null
Example:

"Please leave at the front door."

tags
string[] | null
Example:
other_fees
FeesItem · object[] | null
payment_method_id
string | null

Technical id of the payment method in the eCommerce

Example:

"<commerce-payment-method-id>"

transactions
OrderTransactions · object[] | null
payment_methods
OrderPaymentMethods · object[] | null
detailed_refunds
OrderRefundItem · object[] | null
returns
OrderReturnItem · object[] | null